Get Pick List

Returns a single pick list by ID.

Requires scope: pick_lists:read

Authentication

API_KEYstring
API Key authentication via header

Path parameters

idUUIDRequired
Pick list ID.

Response

This endpoint returns an object.
idUUID
Unique identifier for the pick list.
namestring
Display name of the pick list.
statusenum
Current status of the pick list.
fromLocationobject
Source location materials are picked from.
toLocationobject
Destination location materials are transferred to.
materialCountlong
Number of distinct material line items in this pick list.
kitCountlong
Number of kit line items in this pick list.
createdAtdatetime
ISO 8601 timestamp when the record was created.
updatedAtdatetime
ISO 8601 timestamp when the record was last updated.
notestring
Optional note or description for this pick list.
requestDatedate

Requested date for the pick (ISO 8601 date, e.g. 2026-03-25).

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error